Package uk.ac.starlink.topcat.doc

# Class ButtonIcon

java.lang.Object
uk.ac.starlink.topcat.doc.ButtonIcon

public class ButtonIcon extends Object
Generates some icons for the TOPCAT desktop. Currently not used at TOPCAT run or build time.

Since:
  28 Aug 2007
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ButtonIcon()`
Constructs a ButtonIcon of standard size.

## Method Summary

Modifier and Type
Method
Description
`Graphics2D`
`createGraphics()`
Returns a graphics context for drawing on this image.
`static ButtonIcon`
`createRadial()`
Icon for radial coordinate display.
`static void`
`main(String[] args)`
Main method.
`void`
`writePng(String fname)`
Writes the image as currently painted to a PNG file with a given name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ButtonIcon

public ButtonIcon()
Constructs a ButtonIcon of standard size.

## Method Details

### createGraphics

public Graphics2D createGraphics()
Returns a graphics context for drawing on this image.

Returns:
  new graphics context suitable for drawing

### writePng

public void writePng(String fname) throws IOException
Writes the image as currently painted to a PNG file with a given name.

Parameters:
  `fname` - filename
Throws:
  `IOException`

### createRadial

public static ButtonIcon createRadial()
Icon for radial coordinate display.

Returns:
  radial button icon

### main

public static void main(String[] args) throws IOException
Main method. Writes images to the current directory.

Parameters:
  `args` - ignored
Throws:
  `IOException`